[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.DoRemoveActionList

Removes the specified list of actions from the internal list.

## Declaration

Source position: forms.pp line 677

`protected procedure TCustomForm.DoRemoveActionList(`
`List: TCustomActionList`
`);`

## Arguments

`List` |  | TCustomActionList instance removed in the method.

## Description

Calls the Remove method in the TList member to delete the TCustomActionList specified in List.

DoRemoveActionList is called from the Notification method when a TCustomActionList instance is removed from the form.

## See also

TCustomForm.DoAddActionList |  | Adds the specified list of actions to the ActionList for the form.
TCustomForm.Notification |  | Handles the notification when a component is added to or removed from the form.
TCustomActionList |  | TCustomActionList - the ancestor class for TActionList.